<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myBillingDisbursementLabel" jhiTranslate="mpmApp.billingDisbursement.home.createOrEditLabel">Create or edit a Billing Disbursement</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!billingDisbursement.idBilling">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="billingDisbursement.idBilling" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.billingNumber" for="field_billingNumber">Billing Number</label>
                    <input type="text" class="form-control" name="billingNumber" id="field_billingNumber"
                        [(ngModel)]="billingDisbursement.billingNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.dateCreate" for="field_dateCreate">Date Create</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="billingDisbursement.dateCreate"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.dateDue" for="field_dateDue">Date Due</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateDue" name="input_dateDue" [(ngModel)]="billingDisbursement.dateDue"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_dateIssued">Tanggal Invoice</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateIssued" name="input_dateIssued" [(ngModel)]="billingDisbursement.dateIssued"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.vendorInvoice" for="field_vendorInvoice">Vendor Invoice</label>
                    <input type="text" class="form-control" name="vendorInvoice" id="field_vendorInvoice"
                        [(ngModel)]="billingDisbursement.vendorInvoice" />
                </div>

                <div class="form-group" *ngIf="idBillingType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.billingDisbursement.billingType" for="field_billingType">Billing Type</label>
                    <select class="form-control" id="field_billingType" name="billingType" [(ngModel)]="billingDisbursement.billingTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billingTypeOption.idBillingType" *ngFor="let billingTypeOption of billingtypes; trackBy: trackBillingTypeById">{{billingTypeOption.description}}</option>
                    </select>
                </div>
                <!-- <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label">Dealer</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="billingDisbursement.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                    </select>
                </div> -->
                <div class="form-group" *ngIf="idVendor === undefined">
                    <label>Main Dealer</label>
                    <select class="form-control" id="field_vendor" name="vendor" [(ngModel)]="billingDisbursement.vendorId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.organization.name}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
